Comment 10 for bug 1085166

Workaround:

enable the xorg-edgers repository (sudo apt-add-repository ppa:xorg-edgers/ppa; sudo apt-get update; sudo apt-get dist-upgrade -y)

Which gives you, at the time of writing kernel 3.7.0-7, which does not suffer the issue.